Subject: Re: [PATCH][v3] mtd/ifc: Add support for IFC controller version 2.0

From: Boris Brezillon <[email-masked]>
Date: Fri, 27 May 2016 22:44:01 +0200

Hi Leo,

On Fri, 27 May 2016 15:15:00 -0500
Leo Li <[email-masked]> wrote:

> On Wed, May 25, 2016 at 3:34 PM, Boris Brezillon
> <[email-masked]> wrote:
> > On Wed, 25 May 2016 14:18:43 -0500
> > Leo Li <[email-masked]> wrote:
> >  
> >> On Thu, Apr 7, 2016 at 7:45 PM, Boris Brezillon
> >> <[email-masked]> wrote:  
> >> > On Wed, 6 Apr 2016 18:53:39 +0000
> >> > Yang-Leo Li <[email-masked]> wrote:
> >> >  
> >> >>
> >> >>  
> >> >> > -----Original Message-----
> >> >> > From: Brian Norris [mailto:[email-masked]]
> >> >> > Sent: Wednesday, April 06, 2016 12:53 PM
> >> >> > To: Li Yang <[email-masked]>
> >> >> > Cc: Scott Wood <[email-masked]>; Raghav Dogra <[email-masked]>;
> >> >> > [email-masked]; linuxppc-dev <[email-masked]>;
> >> >> > Prabhakar Kushwaha <[email-masked]>; Raghav Dogra
> >> >> > <[email-masked]>; Jaiprakash Singh <[email-masked]>; Boris
> >> >> > Brezillon <[email-masked]>
> >> >> > Subject: Re: [PATCH][v3] mtd/ifc: Add support for IFC controller version 2.0
> >> >> >
> >> >> > Hi,
> >> >> >
> >> >> > On Wed, Mar 30, 2016 at 03:43:40PM -0500, Li Yang wrote:  
> >> >> > > Hi Brian,
> >> >> > >
> >> >> > > Could you help to review and pull in this patch and the Kconfig update
> >> >> > > after this patch(https://patchwork.ozlabs.org/patch/557389/)?  It  
> >> >> >
> >> >> > It's probably best for Boris to apply this now.  
> >> >>
> >> >> Thanks Brian.  I see Boris is taking over the maintenance of NAND recently, we will follow up with him.
> >> >>
> >> >> Hi Boris,
> >> >>
> >> >> Can you consider to pull in this patch and then Kconfig patch (https://patchwork.ozlabs.org/patch/557389/)?  
> >> >
> >> > Applied.
> >> >
> >> > Thanks,
> >> >
> >> > Boris  
> >>
> >> Hi Boris,
> >>
> >> It seems that the patch at https://patchwork.ozlabs.org/patch/557389/
> >> mentioned above was not in tree for 4.7.  Can you review and apply
> >> that patch too?  
> >
> > I see it in the PR Brian sent 2 days ago [1], so it should appear in
> > Linus tree soon.
> >
> > Regards,
> >
> > Boris
> >
> > [1]https://lkml.org/lkml/2016/5/24/9  
> 
> 
> The pull request does have patch "mtd/ifc: Add support for IFC
> controller version 2.0", but it doesn't have another patch
> "driver/memory: Update dependency of IFC for
> Layerscape"(https://patchwork.ozlabs.org/patch/557389/) needed to make
> the driver selectable on new hardware.

Sorry, I overlooked that part in your different emails (even though you
clearly stated that you needed both patches).

For my defense, I haven't followed the patch series from the beginning,
and only took the patch because Brian suggested to do so (and the
changes seemed ok).
It would have been clearer if the different patches were part of the
same series.

Anyway, Brian, can you take it into your tree and make it appear in
-rc1 (or earlier if it's still possible)?

BTW, in the patch description you say you're only modifying a Kconfig
dependency, but you're actually doing more than that: you're removing
an asm header inclusion and manually include several other headers
(which I guess were previously included by asm/prom.h).

Regards,

Boris

-- 
Boris Brezillon, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com